package es.ejie.frmk.infraestructura.utilidades.excepciones;

import es.ejie.frmk.control.excepciones.Q70FrameworkException;

/**
 * Clase para recoger las excepciones del componente utilidades 
 * @author UFRM005
 * @version 1.0
 */

public class Q70UtilidadesExcepcion extends Q70FrameworkException{
	
	// variables miembro
	
	/**
	 * Nombre de la utilidad que genera la excepción
	 * */
	private String strUtilidad = "";
	/**
	 * Nombre del error que representa la excepción
	 * */
	private String strError = "";
	/**
	 * El objecto Exception la exception de java
	 * */
	private Exception excExcepcion = null;
	/**
	 * Nombre de la clase que genera la excepción
	 * */
	private String strClase = "";
	/**
	 * Nombre del método que genera la excepción
	 * */
	private String strMetodo = "";
	
	// métodos
	
	/**
	 * Constructor de la clase
	 * @param strUtilidad String Nombre de la utilidad que genera la excepción
	 * @param strError String Nombre del error que representa la excepción
	 * @param excExcepcion Exception El objecto Exception la exception de java
	 * @param strClase String El objecto Exception la exception de java
	 * @param strMetodo String Nombre del método que genera la excepción
	 * 
	 * */

	public Q70UtilidadesExcepcion (String newStrUtilidad, String newStrClase, String newStrMetodo, 
								String newStrError, Exception newExcExcepcion){		
		
		super(newStrUtilidad, newStrClase, newStrMetodo, newStrError ,newExcExcepcion );
		
		this.setStrUtilidad(newStrUtilidad);
		this.setStrClass(newStrClase);
		this.setMetodo(newStrMetodo);
		this.setStrError(newStrMetodo);
		this.setExcException(newExcExcepcion );
		
	}	
	
	/**
	 * Devuelve el nombre de la clase que genera la excepción
	 * @return strClase String Nombre de la clase
	 */
	public String getStrClass() {
		return strClase;
	}

	/**
	 * Devuelve el nombre del error que representa la excepción
	 * @return strError String Nombre del error
	 */
	public String getStrError() {
		return strError;
	}

	/**
	 * Devuelve el objecto de la Exception java 
	 * @return excExcepcion Exception el objeto de la exception
	 */
	public Exception getStrException() {
		return excExcepcion;
	}

	/**
	 * Devuelve el nombre del método que genera la excepción
	 * @return strMetodo String Nombre del método
	 */
	public String getStrMethod() {
		return strMetodo;
	}

	/**
	 * Devuelve el nombre de la utilidad que genera la excepción 
	 * @return strUtilidad String nombre de la utilidad 
	 */
	public String getStrUtility() {
		return strUtilidad;
	}

	/**
	 * Establece el nombre de la clase que genera la excepciòn
	 * @param newStrClase String nombre de la clase 
	 */
	public void setStrClass(String newStrClass) {
		strClase = newStrClass;
	}

	/**
	 * Establece el nombre del error que representa la excepción
	 * @param newStrError String nombre del error
	 */
	public void setStrError(String newStrError) {
		strError = newStrError;		
	}

	/**
	 * Establece el objeto de la excepción java
	 * @param newExcExcepcion el objeto de la excepción java
	 */
	public void setExcException(Exception newExcException) {
		excExcepcion = newExcException;
	}

	/**
	 * Establece el nombre del método que genera la excepción
	 * @param newStrMetodo String Nombre del método
	 */
	public void setStrMetodo(String newStrMethod) {
		strMetodo = newStrMethod;
	}
	/**
	 * Establece el nombre de la utilidad que genera el error
	 * @param newStrUtilidad String Nombre de la utilidad
	 */
	public void setStrUtilidad(String newStrUtility) {
		strUtilidad = newStrUtility;
	}

}
